/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2014 ohD(yasushi@tanaka.net)
 *	Copyright (C) 2001-2014 Ryu Takegami
 *	Copyright (C) 2010-2014 Toma
 *
 *	[ Win32API RtBM[V ]
 */

#ifdef _WIN32

#ifndef _w32_cfg_h_
#define _w32_cfg_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL LoadCfg(void);
										/* ݒ胍[h */
BOOL FASTCALL LoadCfg_DoubleSize(void);
										/* ݒ胍[h(2{gp) */
BOOL FASTCALL LoadCfg_LanguageMode(void);
										/* ݒ胍[h(ꃂ[hp) */
#ifdef XM7DASH
void FASTCALL LoadCfg_ResourceDll(char *path);
										/* ݒ胍[h(\[XDLL) */
#if XM7_VER >= 3
BOOL FASTCALL LoadCfg_Gravestone(void);
										/* ݒ胍[h(!?) */
BOOL FASTCALL LoadCfg_DownGradeMode(void);
										/* ݒ胍[h(!?) */
#endif
#endif
void FASTCALL SaveCfg(void);
										/* ݒZ[u */
void FASTCALL ApplyCfg(void);
										/* ݒKp */
void FASTCALL GetCfg(void);
										/* ݒ擾 */
void FASTCALL SetMachineVersion(void);
										/* @Đݒ */
void FASTCALL OnConfig(HWND hWnd);
										/* ݒ_CAO */
#ifdef XM7DASH
void FASTCALL RestoreBootMode(void);
										/* u[g[h𕜌 */
BOOL FASTCALL RestoreFrameWnd(BOOL bFullScreen);
										/* EBhEԂ𕜌 */
void FASTCALL RestoreMediaState(void);
										/* fBAEXe[g𕜌 */
void FASTCALL SetMRUFile(int type, char *string);
										/* MRUZbg */
void FASTCALL SetMRUMedia(int type, int media);
										/* MediaZbg */
void FASTCALL GetMRUFile(int type, int index, char *string, size_t nlen);
										/* MRU擾 */
int FASTCALL GetMRUMedia(int type, int index);
										/* Media擾 */
void FASTCALL DelMRUFile(int type, int index);
										/* MRU폜 */
int FASTCALL GetMRUNum(int type);
										/* MRU擾 */
void FASTCALL SetAllMRUFile(void);
										/* SMRUZbg */
void FASTCALL GetXDLFile(int type, int index, char *string, size_t nlen);
										/* XDL擾 */
int FASTCALL GetXDLNum(int type);
										/* XDL擾 */
void FASTCALL SetXDLSel(int type, int num);
										/* XDLԍݒ */
int FASTCALL GetXDLSel(int type);
										/* XDLԍ擾 */
#endif

/*
 *	v[N
 */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_cfg_h_ */
#endif	/* _WIN32 */
