/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2014 ohD(yasushi@tanaka.net)
 *	Copyright (C) 2001-2014 Ryu Takegami
 *	Copyright (C) 2010-2014 Toma
 *
 *	[ Win32API TEh ]
 */

#ifdef _WIN32

#ifndef _w32_snd_h_
#define _w32_snd_h_

/*
 *	萔`
 */
#define SNDBUF					20	/* WAVő哯 */
#define CHSEPARATION_DEFAULT	7	/* `lZp[VftHgl */
#define FMVOLUME_DEFAULT		0	/* FM{[ftHgl */
#define PSGVOLUME_DEFAULT		-2	/* PSG{[ftHgl */
#define BEEPVOLUME_DEFAULT		-24	/* BEEP{[ftHgl */
#define CMTVOLUME_DEFAULT		-24	/* CMTj^{[ftHgl */
#define WAVEVOLUME_DEFAULT		-6	/* eʉ{[ftHgl */


#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL InitSnd(void);
										/*  */
void FASTCALL CleanSnd(void);
										/* N[Abv */
BOOL FASTCALL SelectSnd(HWND hWnd);
										/* ZNg */
void FASTCALL ApplySnd(void);
										/* Kp */
void FASTCALL PlaySnd(void);
										/* tJn */
void FASTCALL StopSnd(void);
										/* t~ */
BOOL FASTCALL ProcessSnd(BOOL bZero);
										/* obt@[U莞 */
void FASTCALL WaitSnd(void);
										/* TEho͊ҋ@ */
int FASTCALL GetLevelSnd(int ch);
										/* TEhx擾 */
#if defined(XM7DASH) && defined(OPNAMODE)
int FASTCALL GetLevelSnd2(int ch);
										/* TEhx擾 */
#endif
void FASTCALL OpenCaptureSnd(char *fname);
										/* WAVLv`Jn */
void FASTCALL CloseCaptureSnd(void);
										/* WAVLv`I */
BOOL FASTCALL GetMute(int ch);
										/* ~[gԎ擾 */
void FASTCALL SetMute(int ch, BOOL mute);
										/* ~[gԐݒ */
#if defined(XM7DASH) && defined(OPNAMODE)
BOOL FASTCALL GetMute2(int ch);
										/* ~[gԎ擾 */
void FASTCALL SetMute2(int ch, BOOL mute);
										/* ~[gԐݒ */
#endif
#ifdef ROMEO
void FASTCALL ROMEO_Mute(BOOL flag);
										/* ROMEO~[g */
#endif
#ifdef FDDSND
void FASTCALL InitFDDSnd(void);
										/*  */
void FASTCALL CleanFDDSnd(void);
										/* N[Abv */
#endif
void FASTCALL SetSoundVolume(void);
										/* {[ݒ */
void FASTCALL SetSoundVolume2(UINT uSp, int nFM, int nPSG,
							  int nBeep, int nCMT, int nWav);
										/* {[ݒ2 */
#if defined(XM7DASH) && defined(FMDLL)
int FASTCALL GetUseFmDllFlag(int d);
										/* FMDLLgptO擾 */
#endif

/*
 *	v[N
 */
extern UINT nSampleRate;
										/* Tv[g(HzA0Ŗ) */
extern UINT nSoundBuffer;
										/* TEhobt@(_uAms) */
extern BOOL bInterpolation;
										/* TEhԃ[h */
extern BOOL bPreciseMix;
										/* x[h */
extern UINT nBeepFreq;
										/* BEEPg(Hz) */
extern int hWavCapture;
										/* WAVLv`t@Cnh */
extern BOOL bWavCapture;
										/* WAVLv`Jn */
extern UINT uStereoOut;
										/* o̓[h */
extern BOOL bForceStereo;
										/* XeIo */
extern BOOL bTapeMon;
										/* e[vj^ */
extern UINT uClipCount;
										/* NbsOJE^ */
#ifdef ROMEO
extern BOOL bUseRomeo;
										/* ݂gptO */
#endif
extern UINT uChSeparation;
										/* XeI`lZp[V */
extern int nFMVolume;
										/* FM{[ */
extern int nPSGVolume;
										/* PSG{[ */
extern int nBeepVolume;
										/* BEEP{[ */
extern int nCMTVolume;
										/* CMTj^{[ */
#ifdef FDDSND
extern int nWaveVolume;
										/* ʉ{[ */
#endif
#if defined(XM7DASH) && defined(FMDLL)
extern BOOL bFmDll;
										/* ODLLFtO */
extern BOOL bUseFmDll;
										/* ODLLgptO */
extern char szFmDll[_MAX_FNAME];
										/* ODLLt@C */
#endif
#ifdef __cplusplus
}
#endif

#endif	/* _w32_snd_h_ */
#endif	/* _WIN32 */
