/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2014 ohD(yasushi@tanaka.net)
 *	Copyright (C) 2001-2014 Ryu Takegami
 *	Copyright (C) 2010-2014 Toma
 *
 *	[ {J[h / gTuVXeROM ]
 */

#ifndef _jcard_h_
#define _jcard_h_

#if XM7_VER >= 3 || (XM7_VER >= 2 && defined(JCARD) && defined(XM7DASH))

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL jcard_init(void);
										/*  */
void FASTCALL jcard_cleanup(void);
										/* N[Abv */
void FASTCALL jcard_reset(void);
										/* Zbg */
BYTE FASTCALL jcard_readb(WORD addr);
										/* ǂݏo */
void FASTCALL jcard_writeb(WORD addr, BYTE dat);
										/*  */
BOOL FASTCALL jcard_save(int fileh);
										/* Z[u */
#if XM7_VER >= 2 && defined(JCARD) && defined(XM7DASH)
BOOL FASTCALL jcard_load(int fileh, int ver, BOOL bflag);
										/* [h */
#else
BOOL FASTCALL jcard_load(int fileh, int ver);
										/* [h */
#endif

/*
 *	 (FM77AV40E{J[h)
 */
extern BYTE *extram_b;
										/* gRAM         $10000 */
extern BYTE *dicrom;
										/* ROM         $40000 */
#if XM7_VER >= 3
extern BYTE *extrom;
										/* gROM(EX/SX)  $20000 */
#endif
extern BYTE *dicram;
										/* wKRAM          $2000 */

/*
 *	v[N
 */
extern BYTE dicrom_bank;
										/* ROMoNԍ */
extern BOOL dicrom_en;
										/* ROMANeBu */
extern BOOL dicram_en;
										/* wKRAMANeBu */
#if XM7_VER >= 3
extern BOOL extrom_sel;
										/* ROM/gROMItO */
#endif
#if XM7_VER >= 2 && defined(JCARD) && defined(XM7DASH)
extern BOOL jcard_available;
										/* {J[hgp\tO */
extern BOOL jcard_enable;
										/* {J[hLtO */
#endif
#ifdef __cplusplus
}
#endif

#endif	/* XM7_VER >= 3 */
#endif	/* _jcard_h_ */
