/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2014 ohD(yasushi@tanaka.net)
 *	Copyright (C) 2001-2014 Ryu Takegami
 *	Copyright (C) 2010-2014 Toma
 *
 *	[ ROM ]
 */

#ifndef _kanji_h_
#define _kanji_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL kanji_init(void);
										/*  */
void FASTCALL kanji_cleanup(void);
										/* N[Abv */
void FASTCALL kanji_reset(void);
										/* Zbg */
BOOL FASTCALL kanji_readb(WORD addr, BYTE *dat);
										/* ǂݏo */
BOOL FASTCALL kanji_writeb(WORD addr, BYTE dat);
										/*  */
BOOL FASTCALL kanji_save(int fileh);
										/* Z[u */
BOOL FASTCALL kanji_load(int fileh, int ver);
										/* [h */

/*
 *	v[N
 */
extern WORD kanji_addr;
										/* AhXWX^() */
extern BYTE *kanji_rom;
										/* PROM */
#if XM7_VER >= 3
extern BYTE *kanji_rom_jis78;
										/* PROM(JIS78) */
#endif
#if XM7_VER >= 3 || (XM7_VER >= 2 && defined(JCARD) && defined(XM7DASH))
extern BYTE *kanji_rom2;
										/* QROM */
#endif
#ifdef XM7DASH
extern BOOL kanji_rom_mode;
										/* ROMG~[V[h */
extern BOOL kanji_patch_disable;
										/* `̈pb`tO */
#endif
extern BOOL kanji_asis_flag;
										/* JIS78G~[VtO */
#ifdef __cplusplus
}
#endif

#endif	/* _kanji_h_ */
