/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2014 ohD(yasushi@tanaka.net)
 *	Copyright (C) 2001-2014 Ryu Takegami
 *	Copyright (C) 2010-2014 Toma
 *
 *	[ Win32API \ ]
 */

#ifdef _WIN32

#ifndef _w32_draw_h_
#define _w32_draw_h_

/*
 *	萔`(V2p)
 */
#define	V2XPoint	464
#define	V2YPoint	10
#define	V2XSize		27
#define	V2YSize		14
#define	V2XPxSz		5
#define	V2YPxSz		2

#ifdef _w32_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL InitDraw(void);
										/*  */
void FASTCALL CleanDraw(void);
										/* N[Abv */
BOOL FASTCALL SelectDraw(HWND hWnd);
										/* ZNg */
void FASTCALL ModeDraw(HWND hWnd, BOOL bFullScreen);
										/* `惂[hύX */
void FASTCALL OnPaint(HWND hWnd);
										/* ĕ` */
void FASTCALL OnDraw(HWND hWnd, HDC hDC);
										/* ` */
void FASTCALL EnterMenu(HWND hWnd);
										/* j[Jn */
void FASTCALL ExitMenu(void);
										/* j[I */
void FASTCALL SetDirtyFlag(int top, int bottom, BOOL flag);
										/* ĕ`惉X^ꊇݒ */
#ifdef XM7DASH
#ifdef FILTERDLL
void FASTCALL ReDraw(HWND hWnd);
										/* [hċN */
BOOL FASTCALL SetFilterParameter(WORD wParam);
										/* O摜tB^p[^ݒ */
#endif
void FASTCALL LoadMessageScreen(void);
										/* ʃbZ[W[h */
#endif
#endif	/* _w32_h_ */


/*
 *	v[N
 */
extern BOOL bFullScreen;
										/* tXN[ */
#ifndef XM7DASH
extern BOOL bFullRequested;
										/* tXN[v */
extern BOOL bDrawSelected;
										/* ZNgς݃tO */
#endif
extern BOOL bFullScan;
										/* tXL(Window) */
extern BOOL bFullScanFS;
										/* tXL(FullScreen) */
extern BOOL bDoubleSize;
										/* 2{\tO */
#if defined(XM7DASH) && defined(FILTERDLL)
extern int nScalingSize;
										/* n{\TCY */
extern BOOL bAspectRatio;
										/* AXyNg䒲tO */
extern double dAspectRatio;
										/* AXyNg */
extern BOOL bFilterDll;
										/* O摜tB^DLLFtO */
extern BOOL bUseFilterDll;
										/* O摜tB^DLLgptO */
extern char szFilterDll[_MAX_FNAME];
										/* O摜tB^DLLt@C */
extern DWORD dwFilterDllFlg;
										/* O摜tB^DLLOtO */
extern DWORD dwFilterDllDepFlg;
										/* O摜tB^DLLtO */
#endif
#if XM7_VER == 1 || defined(XM7DASH)
extern BOOL bGreenMonitor;
										/* O[j^tO */
#endif
#if XM7_VER == 2 || (XM7_VER >= 3 && defined(XM7DASH))
extern BOOL bTTLMonitor;
										/* TTLj^tO */
#endif
extern BOOL bRasterRendering;
										/* X^_OtO */
#if ((XM7_VER <= 2) && defined(FMTV151))
extern const BYTE nV2data[];
										/* V2f[^ */
#endif
#ifdef XM7DASH
extern BYTE bmpDrive[6][0x100];
										/* Xe[^XhCuBMP */
#endif
#if XM7_VER == 1 && defined(SFDC) && defined(XM7DASH)
extern const BYTE bmp2HD[];
										/* 2HD BMP */
#endif	/* XM7_VER == 1 && defined(SFDC) && defined(XM7DASH) */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_draw_h_ */
#endif	/* _WIN32 */
